Post Reply 

Script Fu Help

Jan 1, 2014, 17:13
Post: #1
Script Fu Help
Plug-In 'Inner Glow' left image undo in inconsistent state, closing open undo groups.

Error while executing script_fu_layer_effects_outer_glow:

Error: ( : 1) Procedure execution of gimp-selection-layer-alpha failed on invalid input arguments: Item 'Image copy' (38) cannot be used because it has not been added to an image

^ I have Windows 8, and GIMP 2.8.10. I also downloaded the extensions pack from the GIMP website, updated for 2.8. I get this error all the time, not sure what to do. Please help?
Find all posts by this user
Quote this message in a reply
Jan 1, 2014, 17:28 (This post was last modified: Jan 1, 2014 17:29 by iForStyle007.)
Post: #2
RE: Script Fu Help
Can you repeat/post the steps you took that created the error?
(1. , 2.,, 3....4, "Plugin 'Inner Glow' left...)
.
.
If it didn't crash right after you clicked the filter from the menu, what were your plugin settings?
.
.
Also, did you copy/duplicate your image layer?
& does it[the layer] have an alpha channel?
.
.
Is this an add-on plugin, or did it come with Gimp 2.8.10?

"In order to succeed, your desire for success should be greater than fear of failure." BC
[Image: 29uocaf.png]
iFS007 tut vids on YT ~ auto color B&W landscape tut
Visit this user's website Find all posts by this user
Quote this message in a reply
Jan 1, 2014, 18:43
Post: #3
RE: Script Fu Help
I was doing text, typed out my word, and went up to FX Foundry, Layer Effects, and the outer glow. Just changed the color and then that error popped up. :/

I did not, but I can try to copy it and see if it will change.

Yes, it's an add-on. Got it from the download plug in registry over at the GIMP site.
Find all posts by this user
Quote this message in a reply
Jan 1, 2014, 19:21
Post: #4
RE: Script Fu Help
If you got the FX-Foundry script from sourceforge, I think it was last updated for Gimp 2.6 and no longer works. As a note some of the scripts have been updated and are here:
http://www.gimphelp.org/script28.shtml

I can not see the outer glow script there but no matter, a more recent, plug-in is here
http://registry.gimp.org/node/186 - get the 2.8 version

If it downlods as layerfx.2.8.py.txt just rename to layerfx.2.8.py and pop it into your
c:\Users\'your_name\.gimp-2.8\plug-ins folder.

The script and its options are at the bottom of the layers menu.

** https://www.gimp-forum.net/ now answering questions**
Find all posts by this user
Quote this message in a reply
Jan 1, 2014, 19:25
Post: #5
RE: Script Fu Help
I was playing around with it, and noticed that only Inner Glow, Outer Glow, Drop Shadow and some others had that same error. But others on Layer Effects did not.

I will try that plug in first!
Find all posts by this user
Quote this message in a reply
Jan 1, 2014, 19:34
Post: #6
RE: Script Fu Help
That worked! Thank you!!!
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  Problems with a bat script :( ThaUnknown_ 1 323 Mar 26, 2018 21:14
Last Post: paynekj
  Script-fu ordered file list vnicent 1 169 Mar 19, 2018 17:33
Last Post: paynekj
  script-fu argument/parameter formats dhugg 2 273 Mar 13, 2018 00:50
Last Post: dhugg
  Request for script chlebna 1 450 Sep 13, 2017 09:35
Last Post: ythgilb
  Request for script - Guillotine + Watermark sunslick 1 503 Sep 4, 2017 08:51
Last Post: ythgilb

Forum Jump:


GIMP ForumPortalArchiveContactTermsRSS